[med-svn] [njplot] 01/03: fix autopkgtest
Sascha Steinbiss
satta at debian.org
Sat Jan 14 14:27:47 UTC 2017
This is an automated email from the git hooks/post-receive script.
satta pushed a commit to branch master
in repository njplot.
commit 131c1e51fa64cd3a7581310e0f62dd6064e46c88
Author: Sascha Steinbiss <satta at debian.org>
Date: Sat Jan 14 13:56:42 2017 +0000
fix autopkgtest
---
debian/tests/control | 2 +-
debian/tests/run-unit-test | 15 ++++++++++-----
2 files changed, 11 insertions(+), 6 deletions(-)
diff --git a/debian/tests/control b/debian/tests/control
index ab3646a..f9ae00b 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,3 @@
Tests: run-unit-test
-Depends: @, xvfb, xauth
+Depends: @, file, xvfb, xauth, mesa-utils, libgl1-mesa-dri
Restrictions: allow-stderr
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
index c367342..89c7553 100644
--- a/debian/tests/run-unit-test
+++ b/debian/tests/run-unit-test
@@ -1,22 +1,27 @@
#!/bin/bash
set -e
-pkg="njplot"
-
if [ "$AUTOPKGTEST_TMP" = "" ] ; then
AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
fi
-cp -a /usr/share/doc/${pkg}/examples/* $AUTOPKGTEST_TMP
+Xvfb :5 -screen 0 1600x1200x24 -ac +extension GLX +render -noreset -v -fbdir $AUTOPKGTEST_TMP/ &
+XVFB_PID=$!
+echo $XVFB_PID
+export DISPLAY=:5
+export XAUTHORITY=/dev/null
+trap "kill $XVFB_PID" 0 INT QUIT ABRT PIPE TERM
+pkg="njplot"
+
+cp -a /usr/share/doc/${pkg}/examples/* $AUTOPKGTEST_TMP
cd $AUTOPKGTEST_TMP
gunzip *.gz
echo "TEST START"
-echo "xvfb-run --auto-servernum --server-num=20 -s '-screen 0 1024x768x24 -ac +extension GLX +render' /usr/bin/njplot -psonly example.phb"
-xvfb-run --auto-servernum --server-num=20 -s '-screen 0 1024x768x24 -ac +extension GLX +render' /usr/bin/njplot -psonly example.phb
+/usr/bin/njplot -psonly example.phb
echo "file example.ps"
file example.ps
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/njplot.git
More information about the debian-med-commit
mailing list